NYMERGE(1)

NAME
nymerge - tool to update and merge specialized-format patches

SYNOPSIS
nymerge merge old new options [ print ] [ .go ]

DESCRIPTION

nymerge is a tool in the Nypatchy suite of programs for working with Patchy Master Files (PAM files); see nypatchy(1). Specifically, it can update a PAM file old with a new version number and date/time stamp, optionally also merging in updated source code from a separate PAM file merge, and saving the result to file new. The default file extension of these three files is presumed to be ".car".

USAGE
The merge file merge may be replaced with "-" if there is nothing to merge. print is the file to which informational output should be written (the default is standard output if omitted), and options is a sequence of single-character flags.

The command should be ended with ".go" unless one wants to enter the Nypatchy interactive shell.

OPTIONS

Note that options should be given as a single string of characters with no space separation and no use of the - character (except that it can be used in place of the options field if no options are desired). Alphabetic options are not case-sensitive.

F   Update only the first PAM file title.

H   Print help information only.

P   Log only the patch names, not the decks.

Q   "quick" - Do not log printing of patch or deck names.

U   Update version/date/time on all PAM titles found on the file.

+   Inhibit the initial page-eject.

SEE ALSO
fcasplit(1), nycheck(1), nydiff(1), nyindex(1), nylist(1), nypatchy(1), nyshell(1), nysynopt(1), nytidy(1), yexpand(1)

The reference manual for the Nypatchy suite of programs is available in compressed PostScript format at the following URL:
http://wwwasdoc.web.cern.ch/wwwasdoc/psdir/p5refman.ps.gz

Running the command "nymerge help .no" also gives some brief help on usage.

AUTHOR
This manual page was written by Kevin McCarty <kmccarty@debian.org> for the Debian GNU/Linux system (but may be used by others). It is licensed under the GNU General Public License, version 2 or later (at your choice).

COPYRIGHT
Copyright (C) Kevin B. McCarty, 2008.